bk://kernel.bkbits.net/gregkh/linux/pci-2.6
greg@kroah.com|ChangeSet|20040519173324|55910 greg

# This is a BitKeeper generated diff -Nru style patch.
#
# ChangeSet
#   2004/05/24 11:42:00-07:00 akpm@bix.(none) 
#   Merge bix.(none):/usr/src/bk25 into bix.(none):/usr/src/bk-pci
# 
# include/linux/pci_ids.h
#   2004/05/24 11:41:57-07:00 akpm@bix.(none) +0 -0
#   Auto merged
# 
# ChangeSet
#   2004/05/22 23:42:26-07:00 akpm@bix.(none) 
#   Merge bix.(none):/usr/src/bk25 into bix.(none):/usr/src/bk-pci
# 
# include/linux/pci_ids.h
#   2004/05/22 23:42:23-07:00 akpm@bix.(none) +0 -0
#   Auto merged
# 
# ChangeSet
#   2004/05/19 14:16:27-07:00 akpm@bix.(none) 
#   Merge bk://kernel.bkbits.net/gregkh/linux/pci-2.6
#   into bix.(none):/usr/src/bk-pci
# 
# drivers/pci/pci.ids
#   2004/05/19 14:16:24-07:00 akpm@bix.(none) +0 -0
#   Auto merged
# 
# ChangeSet
#   2004/05/19 10:33:24-07:00 greg@kroah.com 
#   Reversed pci.ids changes, as Linus already fixed them in his tree
# 
# drivers/pci/pci.ids
#   2004/05/19 10:32:53-07:00 greg@kroah.com +0 -0
#   Exclude
# 
# ChangeSet
#   2004/05/18 23:57:17-07:00 roland@topspin.com 
#   [PATCH] PCI: Add InfiniBand HCA IDs to pci_ids.h
#   
#   Add InfiniBand HCA IDs to pci_ids.h.
# 
# include/linux/pci_ids.h
#   2004/05/18 14:50:17-07:00 roland@topspin.com +7 -0
#   PCI: Add InfiniBand HCA IDs to pci_ids.h
# 
diff -Nru a/include/linux/pci_ids.h b/include/linux/pci_ids.h
--- a/include/linux/pci_ids.h	2004-05-25 21:32:58 -07:00
+++ b/include/linux/pci_ids.h	2004-05-25 21:32:58 -07:00
@@ -1875,6 +1875,11 @@
 #define PCI_VENDOR_ID_ZOLTRIX		0x15b0
 #define PCI_DEVICE_ID_ZOLTRIX_2BD0	0x2bd0 
 
+#define PCI_VENDOR_ID_MELLANOX		0x15b3
+#define PCI_DEVICE_ID_MELLANOX_TAVOR	0x5a44
+#define PCI_DEVICE_ID_MELLANOX_ARBEL_COMPAT 0x6278
+#define PCI_DEVICE_ID_MELLANOX_ARBEL	0x6282
+
 #define PCI_VENDOR_ID_PDC		0x15e9
 #define PCI_DEVICE_ID_PDC_1841		0x1841
 
@@ -1895,6 +1900,8 @@
 #define PCI_VENDOR_ID_S2IO		0x17d5
 #define	PCI_DEVICE_ID_S2IO_WIN		0x5731
 #define	PCI_DEVICE_ID_S2IO_UNI		0x5831
+
+#define PCI_VENDOR_ID_TOPSPIN		0x1867
 
 #define PCI_VENDOR_ID_ARC               0x192E
 #define PCI_DEVICE_ID_ARC_EHCI          0x0101
